<h1>Pokemons</h1>

<table>
  <thead>
    <tr>
      <th>#</th>
      <th>Name</th>
      <th>Type 1</th>
      <th>Type 2</th>
      <th>Total</th>
      <th>HP</th>
      <th>Attack</th>
      <th>Defense</th>
      <th>Sp.Atk</th>
      <th>Sp.Def</th>
      <th>Speed</th>
      <th>Generation</th>
      <th>Legendary</th>
    </tr>
  </thead>

  <tbody>
    <% @pokemons.each do |pokemon| %>
      <tr>
        <td><%= pokemon.number %></td>
        <td><%= pokemon.name %></td>
        <td><%= pokemon.type1 %></td>
        <td><%= pokemon.type2 %></td>
        <td><%= pokemon.total %></td>
        <td><%= pokemon.hp %></td>
        <td><%= pokemon.attack %></td>
        <td><%= pokemon.defense %></td>
        <td><%= pokemon.sp_atk %></td>
        <td><%= pokemon.sp_def %></td>
        <td><%= pokemon.speed %></td>
        <td><%= pokemon.generation %></td>
        <td><%= pokemon.legendary %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<%= will_paginate @pokemons %>